package com.bonus.core.device.manage.dto;

import io.swagger.annotations.ApiModelProperty;

public class SwitchDeviceMenuPriceMenuDto {
   @ApiModelProperty("菜品id")
   private Long menuId;
   @ApiModelProperty("菜品价格")
   private Integer price;
   @ApiModelProperty("消息生成时间只在mqtt推送时使用，其余场景忽略")
   private Long time;

   public Long getMenuId() {
      return this.menuId;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Long getTime() {
      return this.time;
   }

   public SwitchDeviceMenuPriceMenuDto setMenuId(final Long menuId) {
      this.menuId = menuId;
      return this;
   }

   public SwitchDeviceMenuPriceMenuDto setPrice(final Integer price) {
      this.price = price;
      return this;
   }

   public SwitchDeviceMenuPriceMenuDto setTime(final Long time) {
      this.time = time;
      return this;
   }

}
